Payment Link Refund
The Payment Link Refund allows merchants to refund a previously processed payment made through a Payment Link.
This endpoint supports partial or total refunds, depending on the available refundable balance.
Endpoint
POST https://[base_url]/v2/links/{payment_link_code}/refound/
Path Parameter
| PARAMETER | TYPE | REQ. | DESCRIPTION |
|---|---|---|---|
| payment_link_code | String | Yes | Unique code of the payment link associated with the original payment. |
Request Body
The request body must include the amount to refund.
| PARAMETER | TYPE | REQ. | DESCRIPTION |
|---|---|---|---|
| amount | Number | Yes | Amount to refund. Must not exceed the available refundable balance. |
Request Example
{
"amount": 88899
}
Refund Statuses
The system may return the following refund states:
| STATUS | status_code | DESCRIPTION |
|---|---|---|
| Total Refund | total_refound |
Full payment amount refunded. |
| Partial Refund | partial_refound |
Partial amount refunded. |
| Rejected Refund | rejected_refound |
Refund was rejected. |
| In process refund | pending_refound |
Awaiting for bank aproval. |
Response Examples
Successful Refund
{
"msg": "Reembolso aplicado correctamente.",
"voucher_url": "/v1/bookings/1434/vouchers?type=payment_link",
"details": {
"type": "refund",
"id": "4fxazsi43i1h",
"external_ref_id": null,
"status_code": "total_refound",
"status_detail": "Reembolso total",
"comments": "Reembolso aplicado correctamente.",
"transaction_id": "RB-836360",
"transaction_date": "2026-02-27 12:01:46.920139"
}
}
Error -- Invalid Refund Amount
{
"code": 0,
"message": "Error http: 400",
"detail": "El monto del reembolso no es vĂ¡lido"
}
Notes
- The refund amount cannot exceed the available refundable balance.
- Once fully refunded, no additional refunds will be accepted.
- It is recommended to validate the refundable balance before attempting a refund.
- The
voucher_urlcan be used to retrieve the refund receipt.